# Filename: selection_get_ignore_preselected.py
# Purpose: Gets the flag state for ignoring preselected data.
# Returns: Bool.

from maptek import vulcan_gui

# select layer from the screen
sel = vulcan_gui.selection("Select Object")
sel.set_ignore_preselected(True)

selection_state = sel.get_ignore_preselected()
print(selection_state)

# do something after selection...
for obj in sel:
    layer_name = obj.layer